PECL installare / errore phpize

Questa è la mia configuration PHP

################################################################## # setup PHP ################################################################## # we use this to make inline CSS in newsletter yum install php php-tidy php-xml php-xmlrpc php-gd -y # if make is missing yum install gcc automake autoconf libtool make -y # configuring php pecl http yum install zlib-devel curl-devel php-devel php-pear -y # required by phpMyAdmin yum install php-mcrypt php-mbstring php-bcmath pcre -y pecl channel-update pecl.php.net pecl upgrade pecl install bbcode pecl install pecl_http pecl install apc pecl install oauth # add to /etc/php.ini extension=bbcode.so extension=http.so extension=apc.so extension=oauth.so apc.shm_size="128MB" 

Purtroppo, quando corrono

  • come triggersre la function fsockopen in php
  • Come posso verificare se PHP è stato compilato con la versione UNICODE dell'API Win32?
  • il file .htaccess si reindirizza a una destinazione errata
  • nginx 502 bad gateway - fastcgi non ascoltare? (Debian 5)
  • Puoi contare su Nginx come tuo unico server web per php / mysql
  • L'utilizzo sempre crescente di mem da php-fpm?
  •  pecl install oauth 

    Ottengo:

     [root@server ~]# pecl install oauth downloading oauth-1.1.0.tgz ... Starting to download oauth-1.1.0.tgz (44,731 bytes) ............done: 44,731 bytes 6 source files, building ERROR: could not chdir to /var/tmp/oauth/examples 

    Beh, dico che creo la directory.

     [root@server ~]# mkdir /var/tmp/oauth [root@server ~]# mkdir /var/tmp/oauth/examples [root@server ~]# pecl install oauth downloading oauth-1.1.0.tgz ... Starting to download oauth-1.1.0.tgz (44,731 bytes) ............done: 44,731 bytes 6 source files, building running: phpize Cannot find config.m4. Make sure that you run '/usr/bin/phpize' in the top level source directory of the module ERROR: `phpize' failed [root@server ~]# 

    uh. Lascio su questo. Ha cercato di correggerlo per le ultime ore.

    Ulteriori informazioni.

     [root@server ~]# phpize -v Configuring for: PHP Api Version: 20090626 Zend Module Api No: 20090626 Zend Extension Api No: 220090626 

    E

     [root@server ~]# find / -name "config.m4" [root@server ~]# 

  • Seguì una guida terribile e corse "yum remove pcre *" sul mio CentOS 5.5. Ora sembra che il server sia in discesa
  • Come get pcre 8.x su Ubuntu 10.04 (Linode)
  • PCRE non è abilitato UTF8
  • Quali sono i limiti di PCRE?
  • PHP Kohana CentOS 5
  • Fissaggio della libreria condivisa PCRE su CentOS
  • 2 Solutions collect form web for “PECL installare / errore phpize”

    Questo è in realtà un bug PECL. ( http://pecl.php.net/bugs/bug.php?id=16746 )

    La soluzione è riportta sulla pagina PECL.

    scaricare la libreria ur che cerca manualmente, ad esempio PDO_MYSQL-1.0.2.tgz. rimuoverlo e entrare nella directory PD0_MYSQL-1.0.2. Esegui phpize. sarà installato.

    spero che questo ti aiuti

    Suggerimenti per Linux e Windows Server, quali Ubuntu, Centos, Apache, Nginx, Debian e argomenti di rete.